* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Laviossa';
    src: url('../assets/fonts/Laviossa-Medium.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: "Barlow", sans-serif;
    font-weight: 400;
    font-style: normal;
    background: url(img/indacoerboristeria-4.webp);
    background-position: center top;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: scroll; 
    width: 100%;
    margin: 0;
    padding: 20px;
    position: relative;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

body::after {
    content: '';
    background-color: rgba(0, 0, 0, 0.449);
    position: absolute;
    width: 100%;
    min-height: 100vh; 
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
    pointer-events: none;
}

body * {
    z-index: 2;
}
  

h1 {
    font-family: 'Laviossa', serif;
    font-size: clamp(2.4rem, 5.4vw, 4.6rem);
    color: white;
}

h2,p {
    color: white;
    text-align: center;
}

h2 {
    font-weight:600;
    font-size: clamp(1.4rem, 1.8vw, 3.4rem);
    color: white;
}
p {
    font-weight:300;
    font-size: clamp(1.2rem, 1.4vw, 3rem);
}

.contattami, h2 {
    margin-top: 40px;
}
.contattami {
    margin-bottom: 20px
}



header, footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;

}

header img {
    width: 160px;
}

main {
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 40px 20px 0px 20px;
    gap: 20px;
}

  
.buttons {
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
}

.button {
    background-color: #7055c3;
    border: 1px solid #7055c3;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    align-content: center;
    gap: 10px;
    width: 260px;
    height: 59px;
    font-size: clamp(1rem, 2.4vw, 1.2rem);
    font-weight: 600;
    color: white;
    text-decoration: none;
    border-radius: 100px;
}
.button.second {
    background-color: #f2f1f1;
    border: 1px solid #f2f1f1;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    align-content: center;
    gap: 10px;
    width: 260px;
    height: 59px;
    font-size: clamp(1rem, 2.4vw, 1.2rem);
    color: #7055c3;
    text-decoration: none;
}
.hero {
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    max-width: 1200px;
    text-align: center;
}

.separatore {
    border-top: 2px solid rgba(255, 255, 255, 0.425);
    width: 100%;
}

.arrow {
    font-size: 30px;
    color: white;
    padding: 20px;
}

footer p {
    color: rgba(255, 255, 255, 0.482);
    font-weight: 400;
    font-size: clamp(.8rem, 1.2vw, 1.4rem);
}

footer {
    position: relative; 
    width: 100%;
    padding-top: 80px;
    text-align: center;
}

@media only screen and (max-width:768px) {
    main {
        padding: 20px 20px 0px 20px;
    }
    .buttons {
        flex-direction: column;
    }
    header img {
        width: 120px;
    }
    .hero {
        gap: 10px;
    }
    .contattami, h2 {
        margin-top: 10px;
    }
    footer {
        padding: 30px 0px 10px 0px;
        text-align: center;
    }
    body, header, main {
        padding: 10px;
    }
    .arrow {
        padding: 0px;
    }
}
